Account Invitations
Update account invitation
Update the name on an account invitation. The email address cannot be changed.
PUT
/
account-invitations
/
{id}
Update account invitation
curl --request PUT \
--url https://cookiechimp.com/api/v1/account-invitations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_invitation": {
"name": "Grace Hopper"
}
}
'import requests
url = "https://cookiechimp.com/api/v1/account-invitations/{id}"
payload = { "account_invitation": { "name": "Grace Hopper" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_invitation: {name: 'Grace Hopper'}})
};
fetch('https://cookiechimp.com/api/v1/account-invitations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "inv123",
"name": "Grace Hopper",
"email": "newmember@cookiechimp.com",
"invite_url": "https://cookiechimp.com/account_invitations/inv123",
"roles": {
"admin": true
},
"created_at": "2023-01-25T09:30:20Z",
"updated_at": "2023-01-25T09:30:20Z",
"invited_by": {
"id": "usr123",
"name": "Ada Lovelace",
"email": "admin@example.com"
}
}
}{
"errors": [
{
"code": 401,
"message": "API key must belong to an account"
}
]
}{
"errors": [
{
"code": 404,
"message": "Record not found"
}
]
}{
"errors": [
{
"error": "Name can't be blank"
}
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Authorizations
API token obtained from the login endpoint or the dashboard
Path Parameters
ID of the resource
Body
application/json
Invitation to update
Show child attributes
Show child attributes
Response
Updated account invitation
Show child attributes
Show child attributes
Example:
{
"id": "inv123",
"name": "Grace Hopper",
"email": "newmember@cookiechimp.com",
"invite_url": "https://cookiechimp.com/account_invitations/inv123",
"roles": { "admin": true },
"created_at": "2023-01-25T09:30:20Z",
"updated_at": "2023-01-25T09:30:20Z",
"invited_by": {
"id": "usr123",
"name": "Ada Lovelace",
"email": "admin@example.com"
}
}
Was this page helpful?
⌘I
Update account invitation
